Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162994 - gaim: owning perl directory
Summary: gaim: owning perl directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gaim
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-12 01:01 UTC by Jose Pedro Oliveira
Modified: 2007-11-30 22:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-15 16:35:13 UTC


Attachments (Terms of Use)
perl directory and files cleanup (deleted)
2005-07-12 01:01 UTC, Jose Pedro Oliveira
no flags Details | Diff

Description Jose Pedro Oliveira 2005-07-12 01:01:32 UTC
Description of problem:
The gaim package is owning a perl directory.  It also includes two
file that don't neeed to be packaged (.packlist and Gaim.bs).


Version-Release number of selected component (if applicable):
FC-3, FC-4 e rawhide versions.

How reproducible:
rpm -ql gaim | grep perl5

Output in a FC3 system:
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/Gaim.pm
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/Gaim
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/Gaim/.packlist
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/Gaim/Gaim.bs
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/Gaim/Gaim.so
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/Gaim/autosplit.ix


Expected results:
1) not own the auto directory
2) exclude the .packlist file
3) exclude the Gaim.bs empty file

Additional info:
Patch attached (against devel branch)

Comment 1 Jose Pedro Oliveira 2005-07-12 01:01:33 UTC
Created attachment 116634 [details]
perl directory and files cleanup

Comment 2 Jose Pedro Oliveira 2005-07-15 16:35:13 UTC
Closing this ticket.

Problem fixed in:
* gaim-1.4.0-4.fc3.i386.rpm (FC3 update )
* gaim-1.4.0-4.fc4.i386.rpm (FC4 update)
* gaim-1.4.0-4.fc5.i386.rpm (rawhide)


Note You need to log in before you can comment on or make changes to this bug.